#!/bin/sh
#
# $FreeBSD: ports/security/distcache-devel/files/dc_server.sh.in,v 1.1 2005/04/18 19:05:57 pav Exp $
#

# PROVIDE: dc_server
# REQUIRE: LOGIN
# BEFORE:  securelevel
# KEYWORD: FreeBSD shutdown

# Add the following line to /etc/rc.conf to enable `dc_server':
#
#dc_server_enable="YES"
#
# See dc_server(1)
#

. "/etc/rc.subr"

name="dc_server"
rcvar=`set_rcvar`

command="/usr/local/bin/dc_server"
command_args="-daemon -listen IP:9001 -user nobody -pidfile /var/run/$name.pid"
pidfile="/var/run/$name.pid"

# read configuration and set defaults
load_rc_config "$name"
: ${dc_server_enable="NO"}
: ${dc_server_flags=""}

run_rc_command "$1"
